<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Authors: Domi & Fetloser		      |
| www.venue.nu			     	      |
| Embed player functions by:Wain Glaister     |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!defined("LANGUAGE"))
{
	// PHPFusion environment
	$this_lang =  str_replace("/", "", LOCALESET);
	
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php"))
	{
		include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	}
	else
	{
		include INFUSIONS."the_kroax/locale/English.php";
	}
}
else
{
	// mFusion environment
	$this_lang =  LANGUAGE;
	
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php"))
	{
		include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	}
	else
	{
		include INFUSIONS."the_kroax/locale/English.php";
	}
}

$result = dbquery("UPDATE ".$db_prefix."kroax SET kroax_hits=kroax_hits+1 WHERE kroax_url='$url'");
$result1 = dbquery("SELECT * FROM ".$db_prefix."kroax_kategori");
opentable($locale['KROAX201']);
echo"
<table width=100% align=center height=100% cellpadding=0 cellspacing=0 border=0>
<tr><td colspan=2 width=100% height=1%>
<table width=100%><tr><td width=33% valign=middle>
<font color=#880000><b> [ <a href='".INFUSIONS."the_kroax/kroax.php'>".$locale['KROAX006']."</a> ] </b> </font> 
<font color=#880000><b> [ <a href='".INFUSIONS."the_kroax/kroax.php?click=sok'>".$locale['KROAX109']."</a> ] </b> </font> 
<font color=#880000><b> [ <a href='".INFUSIONS."the_kroax/random.php'>".$locale['KROAX110']."</a>  ]</b></font>
<font color=#880000><b> [ </font> <a href='".INFUSIONS."the_kroax/laddaupp.php'>".$locale['KROAX111']."</a> <font color=#880000> ] </font></b>
<font color=#880000><b> [ <a href=\"archive.php\">".$locale['KROAX119']."</a> ] </b> </font> ";

$kategori = $_POST['kategori'];
$result1 = dbquery("SELECT * FROM ".$db_prefix."kroax_kategori");
echo "<td align='right' valign='middle' width='15%'><div align='right'>
<form name='kategori' id='kategori' method='post' action='kroax.php'>
<select name='kategori' id='kategori' class='small' onChange=\"this.form.submit()\">";
while ($data1 = dbarray($result1)) {
echo " <option value='".$data1['kroax_namn_cat1']."'>".$data1['kroax_namn_cat1']."</option>";
} 
echo"</select><input type='submit' class='button' value='".$locale['KROAX311']."'></form>
</td></table></div>
</tr>
</td></tr>
<tr><td colspan=2 height=3px valign=top background=img/line.gif></td></tr>";
@include ($click.".php");
echo "<table width=100% align=center height=100% cellpadding=0 cellspacing=0 border=0>
<tr><td colspan=2 height=3px valign=top background=img/line.gif></td></tr>
</table>";

// WG - mod to select a suitable embedded player
// include the file containing the arrays of accepted file extensions
include INFUSIONS."the_kroax/embeddedextensions.php";

// create a regex to get the file extension
// file extension is allowed to contain 2 to 5 charachers
// both upper and lower case and any digit
$pattern = "/\.[a-zA-Z-0-9]{2,5}$/";
preg_match($pattern, $url, $match);

// test the file extension against the allowed arrays
// and add code for the appropriate media
if (array_search($match[0], $quicktime_extensions) !== FALSE)
{
	quicktime_player($url);
}
elseif (array_search($match[0], $windowsmedia_extensions) !== FALSE)
{
	windowsmedia_player($url);
}
elseif (array_search($match[0], $flash_extensions) !== FALSE)
{
	flash_player($url);
}
elseif (array_search($match[0], $realplayer_extensions) !== FALSE)
{
	real_player($url);

}
elseif (array_search($match[0], $not_config) !== FALSE)
{
	misc($url);
}
elseif (array_search($match[0], $weird_extensions) !== FALSE)
{
	weird_player($url);

}

elseif (array_search($match[0], $googlevideo) !== TRUE)
{
	googleplayer($url);

}

else
{
	// a player could not be found
	echo $locale['WGKROAX001'] . $url . $locale['WGKROAX002'] . $match[0] . $locale['WGKROAX003'];
}

$result = dbquery("SELECT * FROM ".$db_prefix."kroax WHERE kroax_url='$url'");

while ($data = dbarray($result))
{
	$data4 = 0;
	$result3 = dbquery("SELECT * FROM ".$db_prefix."kroax_ratings WHERE rating_item_id='".$data['kroax_id']."'");
	$count = dbrows($result3);
	
	while ($data3 = dbarray($result3))
	{
		$data4 = $data4 + $data3['rating_vote'];
	}
	
	if ($count != 0)
	{
		$avg = number_format(round($data4/$count*100)/100);
	}
	else
	{
		$avg = 0;
	}
	
	$kroax_comment_count = dbcount("(comment_id)", "kroax_comments", "comment_type='KR' AND comment_item_id='".$data['kroax_id']."'");
	$kroax_rate_count = dbcount("(rating_id)", "kroax_ratings", "rating_type='F' AND rating_item_id='".$data['kroax_id']."'");
	echo "<table width=\"100%\" align='middle' cellspacing='0' cellpadding='0'border='0'>
	<td width='20%' class='tbl1' align='middle'><img src='".INFUSIONS."the_kroax/img/stars-".$avg.".gif'>
	<td width='80%' class='tbl1'> [<a href='#' onclick=window.open('".INFUSIONS."the_kroax/redirectvote.php?kroax_id=".$data['kroax_id']."','Ratings','scrollbars=yes,resizable=yes,width=650,height=250')>".$locale['KROAX116']." ($kroax_rate_count)</a>]
	[<a href='#' onclick=window.open('".INFUSIONS."the_kroax/callcomments.php?comment_id=".$data['kroax_id']."','Comments','scrollbars=yes,resizable=yes,width=650,height=650')>".$locale['KROAX302']." ($kroax_comment_count)</A>]&nbsp;
	[<a href='#' onclick=window.open('".INFUSIONS."the_kroax/tipafriend.php?movie_id=".$data['kroax_id']."','Tipafriend','scrollbars=yes,resizable=yes,width=350,height=300')>".$locale['KROAX303']."</a>]&nbsp;
	[<A HREF='".INFUSIONS."the_kroax/report.php?broken_id=".$data['kroax_id']."' target='_blank' onClick='return confirmreport();''>".$locale['KROAX304']."</a>] [<a href=\"javascript:history.go(-1)\">".$locale['KROAX007']."</a>]</td></td>
	<tr><td colspan='2' height='3px' valign='top' background='img/line.gif'></tr></td>
	</td></tr></table>";
}

closetable();
require_once "footer.php";

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>

<?php
// quicktime
function quicktime_player($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
			<OBJECT classid='clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B' width="480"
			height="480" codebase='http://www.apple.com/qtactivex/qtplugin.cab'>
			<param name='src' value="$file_url">
			<param name='autoplay' value="true">
			<param name='controller' value="true">
			<param name='loop' value="false">
			<EMBED src="$file_url" width="480" height="480" autoplay="true" 
			controller="true" loop="false" pluginspage='http://www.apple.com/quicktime/download/'>
			</EMBED>
			</OBJECT>
		</td>
	</tr>
	<!-- ...end embedded QuickTime file -->
</table>
EOD;

echo ($theplayer);
}
?>


<?php
// flash
function flash_player($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
		<OBJECT classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000'
		codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0'
		width="480" height="480">
		<param name='movie' value="$file_url">
		<param name='quality' value="high">
		<param name='bgcolor' value='#FFFFFF'>
		<param name='loop' value="false">
		<EMBED src="$file_url" quality='high' bgcolor='#FFFFFF' width="480"
		height="480" loop="false" type='application/x-shockwave-flash'
		pluginspage='http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash'>
		</EMBED>
		</OBJECT>
		</td>
	</tr>
</table>
EOD;

echo ($theplayer);
}
?>


<?php
// windows media
function windowsmedia_player($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
			<OBJECT id='mediaPlayer' width="480" height="480" 
			classid='CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95' 
			codebase='http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701'
			standby='Loading Microsoft Windows Media Player components...' type='application/x-oleobject'>
			<param name='fileName' value="$file_url">
			<param name='animationatStart' value='true'>
			<param name='transparentatStart' value='true'>
			<param name='autoStart' value="true">
			<param name='showControls' value="true">
			<param name='loop' value="false">
			<EMBED type='application/x-mplayer2'
			pluginspage='http://microsoft.com/windows/mediaplayer/en/download/'
			id='mediaPlayer' name='mediaPlayer' displaysize='4' autosize='-1' 
			bgcolor='darkblue' showcontrols="true" showtracker='-1' 
			showdisplay='0' showstatusbar='-1' videoborder3d='-1' width="480" height="480"
			src="http://servername/path/to/media.file" autostart="true" designtimesp='5311' loop="false">
			</EMBED>
			</OBJECT>
		</td>
	</tr>
	<!-- ...end embedded WindowsMedia file -->
	<!-- begin link to launch external media player... -->
	<tr>
		<td align='center'>
			<a href="$file_url" style='font-size: 85%;' target='_blank'>Launch in external player</a> |
			<a href="http://www.iol.ie/~locka/mozilla/plugin.htm#download" style='font-size: 85%;' target='_blank'>Got firefox problems?</a>
		</td>
	</tr>
	<!-- ...end link to launch external media player... -->
</table>
EOD;

echo ($theplayer);
}
?>


<?php
// real player
function real_player($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
			<OBJECT id='rvocx' classid='clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA'
			width="480" height="480">
			<param name='src' value="$file_url">
			<param name='autostart' value="true">
			<param name='controls' value='imagewindow'>
			<param name='console' value='video'>
			<param name='loop' value="false">
			<EMBED src="$file_url" width="480" height="480" 
			loop="false" type='audio/x-pn-realaudio-plugin' controls='imagewindow' console='video' autostart="true">
			</EMBED>
			</OBJECT>
		</td>
	</tr>
	<!-- begin control panel... -->
	<tr>
		<td>
			<OBJECT id='rvocx' classid='clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA'
			width="480" height='30'>
			<param name='src' value="$file_url">
			<param name='autostart' value="true">
			<param name='controls' value='ControlPanel'>
			<param name='console' value='video'>
			<EMBED src="$file_url" width="480" height='30' 
			controls='ControlPanel' type='audio/x-pn-realaudio-plugin' console='video' autostart="true">
			</EMBED>
			</OBJECT>
		</td>
	</tr>
	<!-- ...end control panel -->
	<!-- begin link to launch external media player... -->
	<tr>
		<td align='center'>
			<a href="$file_url" style='font-size: 85%;' target='_blank'>Launch in external player</a>
		</td>
	</tr>
	<!-- ...end link to launch external media player... -->
</table>
EOD;

echo ($theplayer);
}
?>

<?php
//Misc player
function misc($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
			
			<a href="$file_url" style='font-size: 140%;' target='_blank'><br>Filen kommer att ppnas i ett nytt fnster, klicka p textraden</a><br>
		</td>
	</tr>
	<!-- ...end link to launch external media player... -->
</table>
EOD;

echo ($theplayer);
}

// flash with weird extensions
$file_url = substr($file_url, 0, -4);
function weird_player($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
		<OBJECT classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000'
		codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0'
		width="480" height="480">
		<param name='movie' value="$file_url">
		<param name='quality' value="high">
		<param name='bgcolor' value='#FFFFFF'>
		<param name='loop' value="false">
		<EMBED src="$file_url" quality='high' bgcolor='#FFFFFF' width="480"
		height="480" loop="false" type='application/x-shockwave-flash'
		pluginspage='http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash'>
		</EMBED>
		</OBJECT>
		</td>
	</tr>
</table>
EOD;

echo ($theplayer);
}


// flash with google
$file_url = substr($file_url, 0, -4);
function googleplayer($file_url)
{
$theplayer = <<<EOD
<table border='0' cellpadding='0' align="center">
	<tr>
		<td>
		<embed style="width:400px; height:326px;" id="VideoPlayback" type="application/x-shockwave-flash" src="$file_url"> </embed>
        	</td>
	</tr>
</table>
EOD;

echo ($theplayer);
}




?>