<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Authors: Domi/Fetloser		      |
| www.venue.nu			     	      |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";


if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
}

if (iMEMBER) {
$resultset = dbquery("SELECT * FROM ".$db_prefix."kroax_set");
$dataset = dbarray($resultset);



echo"
<SCRIPT LANGUAGE=\"JavaScript\">
 
function textCounter(field,cntfield,maxlimit) {
if (field.value.length > maxlimit) // if too long...trim it!
field.value = field.value.substring(0, maxlimit);
// otherwise, update 'tecken kvar' counter
else
cntfield.value = maxlimit - field.value.length;
}
</script>
</head>";

if (isset($_POST['save_cat_user_url'])) {
	$stats_titel = stripinput($_POST['stats_titel']);
	$stats_cat = stripinput($_POST['stats_cat']);
	$stats_spare1 = stripinput($_POST['stats_spare1']);
	$stats_date = stripinput($_POST['stats_date']);
	$stats_spare2 = stripinput($_POST['stats_spare2']);
	$stats_uploader = stripinput($_POST['stats_uploader']);
	$stats_spare3 = stripinput($_POST['stats_spare3']);
	$stats_approval = stripinput($_POST['stats_approval']);
	$stats_url = stripinput($_POST['stats_url']);
	$stats_spare4 = stripinput($_POST['stats_spare4']);
	$stats_hits = stripinput($_POST['stats_hits']);
	$stats_description = stripslashes($_POST['stats_description']);
	$stats_tumb = stripinput($_POST['stats_tumb']);
	$stats_errorreport = stripinput($_POST['stats_errorreport']);


$pm_subject = "".$locale['KROAX401']."";
$pm_message = "".$locale['KROAX402']." [URL]".$settings['siteurl']."infusions/the_kroax/kroax_admin.php[/URL] ".$locale['KROAX403']."";
$result1 = dbquery("INSERT INTO ".$db_prefix."messages VALUES('',1, ".$userdata['user_id'].", '".$pm_subject."', '".$pm_message."', 'n', 0, ".time().", 0)");

$result = dbquery("INSERT INTO ".$db_prefix."kroax VALUES('', '$stats_titel', '$stats_cat', '$stats_spare1', '$stats_date', '$stats_spare2', '$stats_uploader', '$stats_spare3', '$stats_approval', '$stats_url', '$stats_spare4', '$stats_hits', '$stats_description', '$stats_tumb', '$stats_errorreport')");
}

if (isset($_POST['save_cat'])) {

//image upload & resize function

$image_url = stripinput($_POST['image_url']);
$idir = INFUSIONS."the_kroax/uploads/";   // Temp file gets stored here ..
$tdir = INFUSIONS."the_kroax/uploads/thumbs/";   // Path To Thumbnails Directory

$twidth = "".$dataset['kroax_set_wi']."";   
$theight = "".$dataset['kroax_set_hi'].""; 
$image_path = $_FILES['imagefile']['name'];
if ($_FILES['imagefile']['type'] == "image/jpg" || $_FILES['imagefile']['type'] == "image/jpeg" || $_FILES['imagefile']['type'] == "image/pjpeg") {
$file_ext = strrchr($_FILES['imagefile']['name'], '.');   
    $copy = copy($_FILES['imagefile']['tmp_name'], "$idir" . $_FILES['imagefile']['name']); 
    if ($copy) {   
if(file_exists("$tdir$image_path")){
unlink("".$idir."".$image_path."");
imagedestroy($simg);  
imagedestroy($dimg);  
redirect("errors.php?imageexists");
exit;
}
      $simg = imagecreatefromjpeg("$idir" . $image_path);  
      $currwidth = imagesx($simg);   
      $currheight = imagesy($simg);  
      if ($currheight > $currwidth) { 
         $zoom = $twidth / $currheight;
         $newheight = $theight;   
         $newwidth = $currwidth * $zoom; 
      } else {    
        $zoom = $twidth / $currwidth; 
        $newwidth = $twidth;   
        $newheight = $currheight * $zoom;
      }
      $dimg = imagecreate($newwidth, $newheight);
      imagetruecolortopalette($simg, false, 256);
      $palsize = ImageColorsTotal($simg);
      for ($i = 0; $i < $palsize; $i++) { 
       $colors = ImageColorsForIndex($simg, $i);
       ImageColorAllocate($dimg, $colors['red'], $colors['green'], $colors['blue']); 
      }
      imagecopyresized($dimg, $simg, 0, 0, 0, 0, $newwidth, $newheight, $currwidth, $currheight);
      imagejpeg($dimg, "$tdir" . $image_path); 
unlink("".$idir."".$image_path."");
      imagedestroy($simg);  
      imagedestroy($dimg);  
    } else {
redirect("errors.php?uploaderror");
exit;
    }
  } else {
redirect("errors.php?wrongfiletype");
exit;
  }
 
//end image upload function



//Movie upload function
	$movie_url = stripinput($_POST['movie_url']);
	$upload_maxsize = 3097152;
	$upload_extensions = array(
		".asf",
		".swf",
		".wmv",
		".mov",
		".rm",
		".avi",
		".MPG",
		".mpg",
		".MPEG",
		".mpeg"
		);
	$upload_folder = INFUSIONS."the_kroax/uploads/movies/";
	$upload = $_FILES['movie_url'];
	if ($upload['name'] != "" && !empty($upload['name']) && is_uploaded_file($upload['tmp_name']) && $upload['size'] <= $upload_maxsize) {

		$upload_ext = strrchr($upload['name'],".");
		if (in_array($upload_ext, $upload_extensions)) {
			$upload_name = "".$upload['name']."";
			move_uploaded_file($upload['tmp_name'], $upload_folder.$upload_name);
			chmod($upload_folder.$upload_name,0644);
}
}

//End movie upload function


	$stats_titel = stripinput($_POST['stats_titel']);
	$stats_cat = stripinput($_POST['stats_cat']);
	$stats_spare1 = stripinput($_POST['stats_spare1']);
	$stats_date = stripinput($_POST['stats_date']);
	$stats_spare2 = stripinput($_POST['stats_spare2']);
	$stats_uploader = stripinput($_POST['stats_uploader']);
	$stats_spare3 = stripinput($_POST['stats_spare3']);
	$stats_approval = stripinput($_POST['stats_approval']);
	$stats_url = stripinput($_POST['stats_url']);
	$stats_spare4 = stripinput($_POST['stats_spare4']);
	$stats_hits = stripinput($_POST['stats_hits']);
	$stats_description = stripslashes($_POST['stats_description']);
	$stats_tumb = stripinput($_POST['stats_tumb']);
	$stats_errorreport = stripinput($_POST['stats_errorreport']);




$pm_subject = "".$locale['KROAX401']."";
$pm_message = "".$locale['KROAX402']." [URL]".$settings['siteurl']."infusions/the_kroax/kroax_admin.php[/URL] ".$locale['KROAX403']."";
$result1 = dbquery("INSERT INTO ".$db_prefix."messages VALUES('',1, ".$userdata['user_id'].", '".$pm_subject."', '".$pm_message."', 'n', 0, ".time().", 0)");

$result = dbquery("INSERT INTO ".$db_prefix."kroax VALUES('', '$stats_titel', '$stats_cat', '$stats_spare1', '$stats_date', '$stats_spare2', '$stats_uploader', '$stats_spare3', '$stats_approval', '$upload_folder$upload_name', '$stats_spare4', '$stats_hits', '$stats_description', '$tdir$image_path', '$stats_errorreport')");

}


opentable("".$locale['KROAX404']." ".$userdata['user_name']."! ".$locale['KROAX101']."");
echo "<center>";
echo "".$locale['KROAX414']."<br>";
echo "<a href='$FUSION_SELF?upload'>".$locale['KROAX415']."</a><br>";
echo "<a href='$FUSION_SELF?typeurl'>".$locale['KROAX416']."</a></center>";
closetable();

if (isset($upload)) {
opentable("".$locale['KROAX404']." ".$userdata['user_name']."! ".$locale['KROAX101']."");

echo"


<form name='contact' name='inputform' method='post' action='$formaction' enctype='multipart/form-data' onSubmit='return ValidateForm(this);'>
<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td width='100%' align='center' valign='top'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td  align='right'>".$locale['KROAX212']." </td>
<td><input type='text' name='stats_titel' value='$stats_titel' class='textbox' style='width:120px;'></td>

<tr>
<td align='right'>".$locale['KROAX225']."</td>
<td><input type='file' name='movie_url' enctype='multipart/form-data' value='$movie_url' class='textbox' style='width:200px;'></td>
</tr>

<tr>
<td align='right'>".$locale['KROAX226']."<br> (auto resize) </td>
<td><input type='file' name='imagefile' enctype='multipart/form-data' value='$image_url' class='textbox' style='width:200px;'></td>
</tr>

";

echo"


<tr>
<td align='right' valign='top'>".$locale['KROAX112']."</td>
<td><textarea name='stats_description' id='stats_description' cols='5' rows='4' class='textbox' style='width:100%;' onKeyDown='textCounter(document.contact.stats_description,document.contact.remLen1,120)'
onKeyUp='textCounter(document.contact.stats_description,document.contact.remLen1,120)'></textarea>
<input readonly type='text' name='remLen1' size='2' maxlength='3' value='120' style='font:Arial;font-size:9px;'>
<span style='font:Verdana;font-size:9px;'> ".$locale['KROAX405']."...</span>
</textarea></td></tr>



";

$query1 = mysql_query("SELECT * FROM ".$db_prefix."kroax_kategori");
echo"
<tr>
<td align='right'><br>".$locale['KROAX210']."</td>
<td><br> <select name='stats_cat' class='textbox'>\n<option> </option>\n";
	

while ($row = mysql_fetch_array($query1))

for ($i=1;$i<=1;$i++) echo "<option".($stats_cat == $row['kroax_namn_cat1'] ? " selected" : "").">{$row['kroax_namn_cat1']} </option>";
{
echo"
{$row['kroax_namn_cat1']}</option>";
echo"</selected>";
echo"</td></tr>";
}

echo "
<input type='hidden' name='stats_uploader' value='".$userdata['user_name']."' readonly>
<input type='hidden' name='stats_date' value='".strftime("%d/%m-%y")."' readonly>
<input type='hidden' name='stats_approval' value='deny'>



<td align='center' colspan='2'>
<input type='submit' name='save_cat' value='".$locale['KROAX106']."' class='button'><br>".$locale['KROAX406']."</td>

</table></tr></table></td>
</form>\n";

closetable();
echo "<script type='text/javascript'>

function closeWin() {
  window.close();
}

function ValidateForm(frm) {
	if(frm.stats_titel.value=='') {
		alert('".$locale['KROAX407']."');
		return false;
	}
if(frm.movie_url.value=='') {
		alert('".$locale['KROAX408']."');
		return false;
	}
if(frm.imagefile.value=='') {
		alert('".$locale['KROAX410']."');
		return false;
	}
if(frm.stats_description.value=='') {
		alert('".$locale['KROAX409']."');
		return false;

	}
}

</script>\n";
}

if (isset($typeurl)) {
opentable("".$locale['KROAX404']." ".$userdata['user_name']."! ".$locale['KROAX101']."");

echo"


<form name='contact' name='inputform' method='post' action='$formaction' enctype='multipart/form-data' onSubmit='return ValidateForm(this);'>
<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td width='100%' align='center' valign='top'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td  align='right'>".$locale['KROAX212']." </td>
<td><input type='text' name='stats_titel' value='$stats_titel' class='textbox' style='width:120px;'></td>

<tr>
<td align='right'>".$locale['KROAX208']."</td>
<td><input type='text' name='stats_url' value='$stats_url' class='textbox' style='width:200px;'></td>
<tr>

<tr>
<td align='right'>".$locale['KROAX205']." </td>
<td><input type='text' name='stats_tumb' value='$stats_tumb' class='textbox' style='width:200px;'></td>
</tr>

";

echo"


<tr>
<td align='right' valign='top'>".$locale['KROAX112']."</td>
<td><textarea name='stats_description' id='stats_description' cols='5' rows='4' class='textbox' style='width:100%;' onKeyDown='textCounter(document.contact.stats_description,document.contact.remLen1,120)'
onKeyUp='textCounter(document.contact.stats_description,document.contact.remLen1,120)'></textarea>
<input readonly type='text' name='remLen1' size='2' maxlength='3' value='120' style='font:Arial;font-size:9px;'>
<span style='font:Verdana;font-size:9px;'> ".$locale['KROAX405']."...</span>
</textarea></td></tr>



";

$query1 = mysql_query("SELECT * FROM ".$db_prefix."kroax_kategori");
echo"
<tr>
<td align='right'><br>".$locale['KROAX210']."</td>
<td><br> <select name='stats_cat' class='textbox'>\n<option> </option>\n";
	

while ($row = mysql_fetch_array($query1))

for ($i=1;$i<=1;$i++) echo "<option".($stats_cat == $row['kroax_namn_cat1'] ? " selected" : "").">{$row['kroax_namn_cat1']} </option>";
{
echo"
{$row['kroax_namn_cat1']}</option>";
echo"</selected>";
echo"</td></tr>";



}

echo "
<input type='hidden' name='stats_uploader' value='".$userdata['user_name']."' readonly>
<input type='hidden' name='stats_date' value='".strftime("%d/%m-%y")."' readonly>
<input type='hidden' name='stats_approval' value='deny'>



<td align='center' colspan='2'>
<input type='submit' name='save_cat_user_url' value='".$locale['KROAX106']."' class='button'><br>".$locale['KROAX406']."</td>

</table></tr></table></td>
</form>\n";

closetable();
echo "<script type='text/javascript'>

function closeWin() {
  window.close();
}

function ValidateForm(frm) {
	if(frm.stats_titel.value=='') {
		alert('".$locale['KROAX407']."');
		return false;
	}
if(frm.stats_url.value=='') {
		alert('".$locale['KROAX408']."');
		return false;
	}
if(frm.stats_tumb.value=='') {
		alert('".$locale['KROAX410']."');
		return false;
	}
if(frm.stats_description.value=='') {
		alert('".$locale['KROAX409']."');
		return false;

	}
}

</script>\n";
}


} else { 

opentable($locale['KROAX411']);
echo "".$locale['KROAX412']."";
closetable();

}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>

