<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Authors: Domi/Fetloser		      |
| www.venue.nu			     	      |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }
if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
}

// Infusion general information
$inf_title = $locale['KROAX100'];
$inf_description = $locale['KROAX005'];
$inf_version = "4.20RC";
$inf_developer = "fetloser & Domi.";
$inf_email = "bigbadaliens@outerspace.org";
$inf_weburl = "http://www.venue.nu";

$inf_folder = "the_kroax"; // The folder in which the infusion resides.
$inf_admin_image = "the_kroax.jpg"; // Leave blank to use the default image.
$inf_admin_panel = "kroax_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['KROAX201'] ; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "kroax.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - kroax / 102 - Admin / 103 - Super Admin.

$inf_newtables = 6; // Number of new db tables to create or drop.
$inf_insertdbrows = 3; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "kroax (
	`kroax_id` smallint(5) unsigned NOT NULL auto_increment,
    	`kroax_titel` varchar(30) NOT NULL default '',
	`kroax_cat` varchar(30) NOT NULL default '',
	`kroax_spare1` varchar(150) NOT NULL default '',
	`kroax_date` varchar(8) NOT NULL default '',
	`kroax_spare2` varchar(60) NOT NULL default '',
    	`kroax_uploader` varchar(50) NOT NULL default '',
	`kroax_spare3` varchar(30) NOT NULL default '',
	`kroax_approval` varchar(30) NOT NULL default '',
	`kroax_url` varchar(200) NOT NULL default '',
	`kroax_spare4` varchar(50) NOT NULL default '',
	`kroax_hits` varchar(50) NOT NULL default '',
	`kroax_description` text NOT NULL default '',
	`kroax_tumb` varchar(150) NOT NULL default '',
	`kroax_errorreport` varchar(100) NOT NULL default '',
	 PRIMARY KEY  (`kroax_id`)
	 ) TYPE=MyISAM;";


$inf_newtable_[2] = "kroax_comments (
        `comment_id` smallint(5) unsigned NOT NULL auto_increment,
  `comment_item_id` smallint(5) unsigned NOT NULL default '0',
  `comment_type` char(40) NOT NULL default '',
  `comment_name` varchar(50) NOT NULL default '',
  `comment_message` text NOT NULL,
  `comment_datestamp` int(10) unsigned NOT NULL default '0',
  `comment_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`comment_id`)
  ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[3] = "kroax_kategori (
	`kroax_id_cat` smallint(5) unsigned NOT NULL auto_increment,
       	`kroax_namn_cat1` varchar(40) NOT NULL default '',
	 PRIMARY KEY (`kroax_id_cat`)
    ) TYPE=MyISAM;";

$inf_newtable_[4] = "kroax_temp (
	`kroax_temp_id` smallint(5) unsigned NOT NULL auto_increment,
	`kroax_temp` varchar(30) NOT NULL default '',
	 PRIMARY KEY (`kroax_temp_id`)
    ) TYPE=MyISAM;";

$inf_newtable_[5] = "kroax_set (
	`kroax_set_id` smallint(2) NOT NULL default '0',
       	`kroax_set_hi` varchar(3) NOT NULL default '0',
	`kroax_set_wi` varchar(3) NOT NULL default '0',
	`kroax_set_pre` varchar(50) NOT NULL default '0',
	`kroax_set_pic` varchar(100) NOT NULL default '0',
	`kroax_set_copy` varchar(20) NOT NULL default '0',
	`kroax_set_show` varchar(20) NOT NULL default '0',
	 PRIMARY KEY (`kroax_set_id`)
    ) TYPE=MyISAM;";

$inf_newtable_[6] = "kroax_ratings (
	rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	rating_item_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	rating_type CHAR(1) NOT NULL DEFAULT '',
	rating_user SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	rating_vote TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	rating_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	rating_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
	PRIMARY KEY (`rating_id`)
	) TYPE=MyISAM;";
	

$inf_insertdbrow_[1] = "kroax_temp VALUES('1', '')";
$inf_insertdbrow_[2] = "kroax_footer VALUES('1', 'YES')";
$inf_insertdbrow_[3] = "kroax_set VALUES('1', '85', '120', '10', '15', 'YES' , '1')";

$inf_droptable_[1] = "kroax";
$inf_droptable_[2] = "kroax_comments";
$inf_droptable_[3] = "kroax_kategori";
$inf_droptable_[4] = "kroax_temp";
$inf_droptable_[5] = "kroax_set";
$inf_droptable_[6] = "kroax_ratings";
?>