<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Authors: Domi/Fetloser		      |
| www.venue.nu			     	      |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once "gfx.php";

if (!checkRights("S")) { header("Location:../../index.php"); exit; }
if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
}

if (isset($step) && $step == "default") {

$restore_hi = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_hi='85' WHERE kroax_set_id='1'");
$restore_wi = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_wi='120' WHERE kroax_set_id='1'");
$restore_pre = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_pre='10' WHERE kroax_set_id='1'");
$restore_pic = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_pic='15' WHERE kroax_set_id='1'");
$restore_copy = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_copy='Tak' WHERE kroax_set_id='1'");
$restore_show = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_show='1' WHERE kroax_set_id='1'");

opentable($locale['KROAX721']);
echo "<div style='text-align:center'><p><br />".$locale['KROAX722']."<br /><br />
<a href='settings.php'>".$locale['KROAX723']."</a><br /><br><br>

</div>";
} else {
if (isset($_POST['save_cat'])) {
	$stats_kroax_set_hi = stripinput($_POST['stats_kroax_set_hi']);
	$stats_kroax_set_wi = stripinput($_POST['stats_kroax_set_wi']);
	$stats_kroax_set_pre = stripinput($_POST['stats_kroax_set_pre']);
	$stats_kroax_set_pic = stripinput($_POST['stats_kroax_set_pic']);
	$stats_kroax_set_copy = stripinput($_POST['stats_kroax_set_copy']);
	$stats_kroax_set_show = stripinput($_POST['stats_kroax_set_show']);
if (isset($step) && $step == "edit") {

	$result = dbquery("UPDATE ".$db_prefix."kroax_set SET kroax_set_hi='$stats_kroax_set_hi', kroax_set_wi='$stats_kroax_set_wi', kroax_set_pre='$stats_kroax_set_pre', kroax_set_pic='$stats_kroax_set_pic', kroax_set_copy='$stats_kroax_set_copy' , kroax_set_show='$stats_kroax_set_show' WHERE kroax_set_id='1'");

} else {
	
$result = dbquery("INSERT INTO ".$db_prefix."kroax_set VALUES('', '$stats_kroax_set_hi', '$stats_kroax_set_wi', '$stats_kroax_set_pre', '$stats_kroax_set_pic', '$stats_kroax_set_copy', '$stats_kroax_set_show'  )");
}
header("Location:settings.php");
}

if (isset($step) && $step == "edit") {
	$result = dbquery("SELECT * FROM ".$db_prefix."kroax_set WHERE kroax_set_id='1'");
	$data = dbarray($result);
	$stats_kroax_set_hi = $data['kroax_set_hi'];
	$stats_kroax_set_wi = $data['kroax_set_wi'];
	$stats_kroax_set_pre = $data['kroax_set_pre'];
	$stats_kroax_set_pic = $data['kroax_set_pic'];
	$stats_kroax_set_copy = $data['kroax_set_copy'];
	$stats_kroax_set_show = $data['kroax_set_show'];
	$formaction = FUSION_SELF."?step=edit&stats_kroax_set_id='1'";
opentable("aint used");
} else {
	$stats_kroax_set_hi = ""; $stats_kroax_set_wi = ""; $stats_kroax_set_pre = ""; $stats_kroax_set_pic = ""; $stats_kroax_set_copy = ""; $stats_kroax_set_show = "";
	$formaction = FUSION_SELF;
opentable($locale['KROAX706']);
}
echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' width='95%' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td width='30%' align='right' valign='top'>

</tr>
<tr>
<td align='right' valign='top'>".$locale['KROAX701']."</td>
<td><input type='text' name='stats_kroax_set_hi' value='$stats_kroax_set_hi' class='textbox' style='width:40px;'>".$locale['KROAX421']."</td>
</tr>

<tr>
<td align='right' valign='top'>".$locale['KROAX702']."</td>
<td><input type='text' name='stats_kroax_set_wi' value='$stats_kroax_set_wi' class='textbox' style='width:40px;'>".$locale['KROAX422']."</td>
</tr>

<tr>
<td align='right' valign='top'>".$locale['KROAX703']."</td>
<td> <select name=\"stats_kroax_set_copy\" id=\"stats_kroax_set_copy\" class='textbox'>
      <option value=\"$stats_kroax_set_copy\" selected>$stats_kroax_set_copy</option>
      <option value=\"".$locale['KROAX705']."\">".$locale['KROAX705']."</option>
      <option value=\"\">".$locale['KROAX707']."</option>
    </select>
</td>
</tr>

<tr>
<td align='right' valign='top'>".$locale['KROAX724']."</td>
<td> <select name=\"stats_kroax_set_show\" id=\"stats_kroax_set_show\" class='textbox'>
      <option value=\"$stats_kroax_set_show\" selected>$stats_kroax_set_show</option>
      <option value=\"1\">".$locale['KROAX705']."</option>
      <option value=\"\">".$locale['KROAX707']."</option>
    </select>
</td>
</tr>

<tr>
<td align='right' valign='top'>".$locale['KROAX708']."</td>
<td><input type='text' name='stats_kroax_set_pic' value='$stats_kroax_set_pic' class='textbox' style='width:120px;'></td>
</tr>

<tr>
<td align='right' valign='top'>".$locale['KROAX710']."</td>
<td><input type='text' name='stats_kroax_set_pre' value='$stats_kroax_set_pre' class='textbox' style='width:50px;'></td>
</tr>


</table>

<center><input type='submit'name='save_cat' value='".$locale['KROAX711']."' class='button'></center>
</form>\n";
closetable();
tablebreak();
opentable($locale['KROAX712']);

	$result = dbquery("SELECT * FROM ".$db_prefix."kroax_set WHERE kroax_set_id='1'");
	$rows = dbrows($result);
	if (!isset($rowstart)) $rowstart = 0;
	if ($rows != 0) {
}
		echo "<p><p><table align='center' width='100%' cellspacing='0'>
<tr>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX716']."</b></td>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX713']."</b></td>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX714']."</b></td>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX715']."</b></td>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX720']."</b></td>
<td class='tbl2' align='left' width='10%'><b>".$locale['KROAX709']."</b></td>
<td class='tbl2' align='right' width='10%'><b>".$locale['KROAX719']."</b></td>
<td class='tbl2' align='right' width='10%'><b>".$locale['KROAX725']."</b></td>
</tr>\n";
		$result = dbquery("SELECT * FROM ".$db_prefix."kroax_set WHERE kroax_set_id='1'");
		while ($data = dbarray($result)) {

echo "<table align='center' width='100%' cellspacing='0'>";
echo "<tr>\n<td class='small' width='10%'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?step=edit&stats_kroax_set_id=1'><b>".$locale['KROAX716']."</b></a></td>\n";
echo "<td class='small' align='left' width='10%'><b>".$data['kroax_set_wi']."</b></td>\n";
echo "<td class='small' align='left' width='10%'><b>".$data['kroax_set_hi']."</b></td>\n";
echo "<td class='small' align='left' width='10%'><b>".$data['kroax_set_copy']."</b></td>\n";
echo "<td class='small' align='left' width='10%'><b>".$data['kroax_set_pre']."</b></td>\n";
echo "<td class='small' align='left' width='10%'>".$data['kroax_set_pic']."</td>\n";
echo "<td class='small' align='left' width='10%'>".$data['kroax_set_show']."</td>\n";

echo "<td class='small' align='right' width='5%'><a href='".FUSION_SELF."?step=default&stats_kroax_set_id=1'>".$locale['KROAX718']."</a></td></tr>";
echo "</td>";

}
echo "</table>\n";
}
closetable();



echo"<br><br><center>".$locale['KROAX717']."</center>";

?>